services:
  nextcloud-aio-mastercontainer:
    image: nextcloud/all-in-one:latest
    init: true
    restart: no
    container_name: nextcloud-aio-mastercontainer
    volumes:
      - nextcloud_aio_mastercontainer:/mnt/docker-aio-config
      - /var/run/docker.sock:/var/run/docker.sock:ro
    network_mode: bridge
    ports:
      - 8080:8080
    environment:
      APACHE_PORT: 11000
      NEXTCLOUD_TRUSTED_PROXIES: 192.168.1.46
      NEXTCLOUD_UPLOAD_LIMIT: 10G
      NEXTCLOUD_MAX_TIME: 3600
      NEXTCLOUD_MEMORY_LIMIT: 6144M
      NEXTCLOUD_STARTUP_APPS: calendar contacts
      NEXTCLOUD_ADDITIONAL_APKS: imagemagick
      NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS: imagick

volumes:
  nextcloud_aio_mastercontainer:
    name: nextcloud_aio_mastercontainer
